## python-cyborgclient 1.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

six>=1.10.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
decorator>=3.4.0 # BSD
openstacksdk>=0.42.0 # Apache-2.0

=== debian/changelog ===
python-cyborgclient (1.2.1-3) unstable; urgency=medium

  * Add dh_python3 --shebang=/usr/bin/python3 (Closes: #976766)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2020 00:06:14 +0100

python-cyborgclient (1.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 11:58:41 +0200

python-cyborgclient (1.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #970035)

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 19:42:49 +0200

=== debian/control ===
Source: python-cyborgclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-testtools,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cyborgclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cyborgclient.git
Homepage: https://opendev.org/openstack/python-cyborgclient

Package: python3-cyborgclient
Architecture: all
Depends:
 python3-cryptography,
 python3-decorator,
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cyborgclient-doc,
Description: Python client for cyborg API - Python 3.x
 Python-cyborgclient is a Python bindings to the OpenStack Cyborg API. There's
 a Python API (the cyborgclient module), and a command-line script (cyborg).
 Each implements 100% of the OpenStack Cyborg API.
 .
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth.
 .
 This package contains the Python 3.x module.

Package: python-cyborgclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python client for cyborg API - doc
 Python-cyborgclient is a Python bindings to the OpenStack Cyborg API. There's
 a Python API (the cyborgclient module), and a command-line script (cyborg).
 Each implements 100% of the OpenStack Cyborg API.
 .
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-cyborgclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-cyborgclient 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-six>=1.10.0 # MIT
 keystoneauth1>=3.3.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
@@ -12,8 +11,8 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
-osc-lib>=1.8.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
-cryptography!=2.0,>=1.9 # BSD/Apache-2.0
+osc-lib>=1.14.0 # Apache-2.0
+PrettyTable>=0.7.1 # BSD
+cryptography>=2.7 # BSD/Apache-2.0
 decorator>=3.4.0 # BSD
 openstacksdk>=0.42.0 # Apache-2.0

=== debian/changelog ===
python-cyborgclient (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:24:05 +0200

python-cyborgclient (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Sep 2021 13:48:33 +0200

python-cyborgclient (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 13:08:26 +0200

python-cyborgclient (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:47:11 +0200

python-cyborgclient (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 15:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -20,22 +21,20 @@
  python3-openstackdocstheme,
  python3-openstacksdk,
  python3-os-client-config,
- python3-osc-lib,
+ python3-osc-lib (>= 1.14.0),
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
- python3-pbr,
  python3-prettytable,
  python3-requests,
  python3-requests-mock,
- python3-six,
  python3-stestr,
  python3-stevedore,
  python3-testtools,
  subunit,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cyborgclient
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cyborgclient.git
 Homepage: https://opendev.org/openstack/python-cyborgclient
@@ -48,7 +47,7 @@
  python3-keystoneauth1,
  python3-openstacksdk,
  python3-os-client-config,
- python3-osc-lib,
+ python3-osc-lib (>= 1.14.0),
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.serialization,
@@ -56,7 +55,6 @@
  python3-pbr,
  python3-prettytable,
  python3-requests,
- python3-six,
  python3-stevedore,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/python-cyborgclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-cyborgclient-doc/usr/share/doc/python-cyborgclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-cyborgclient 1.7.0

=== debian/changelog ===
python-cyborgclient (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:23:53 +0100

python-cyborgclient (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 09:03:48 +0100

## python-cyborgclient 2.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-cyborgclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:10:35 +0200

python-cyborgclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 22:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-os-client-config,
  python3-osc-lib (>= 1.14.0),
  python3-oslo.i18n,
- python3-oslo.log,
+ python3-oslo.log (>= 5.0.0),
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
@@ -49,7 +49,7 @@
  python3-os-client-config,
  python3-osc-lib (>= 1.14.0),
  python3-oslo.i18n,
- python3-oslo.log,
+ python3-oslo.log (>= 5.0.0),
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,

## python-cyborgclient 2.1.0

=== debian/changelog ===
python-cyborgclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:59:05 +0200

python-cyborgclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:58:42 +0100

## python-cyborgclient 2.2.0

=== debian/changelog ===
python-cyborgclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:43:46 +0200

## python-cyborgclient 2.2.1

=== debian/changelog ===
python-cyborgclient (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:38:42 +0200

python-cyborgclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:11:32 +0200

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
  python3-openstackdocstheme,
  python3-openstacksdk,
  python3-os-client-config,
- python3-osc-lib (>= 1.14.0),
+ python3-osc-lib,
  python3-oslo.i18n,
- python3-oslo.log (>= 5.0.0),
+ python3-oslo.log,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
@@ -47,9 +47,9 @@
  python3-keystoneauth1,
  python3-openstacksdk,
  python3-os-client-config,
- python3-osc-lib (>= 1.14.0),
+ python3-osc-lib,
  python3-oslo.i18n,
- python3-oslo.log (>= 5.0.0),
+ python3-oslo.log,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-cyborgclient 2.3.0

=== debian/changelog ===
python-cyborgclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:57:14 +0200

python-cyborgclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:52:37 +0100

## python-cyborgclient 2.4.0

=== debian/changelog ===
python-cyborgclient (2.4.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090480).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:24:40 +0100

python-cyborgclient (2.4.0-3) unstable; urgency=medium

  * d/watch: use mode=git.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:17:17 +0100

python-cyborgclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:46:50 +0200

python-cyborgclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 09:52:02 +0200

## python-cyborgclient 2.5.0

=== debian/changelog ===
python-cyborgclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:49:42 +0100

python-cyborgclient (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:41:36 +0100

## python-cyborgclient 2.6.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 stevedore>=1.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
+oslo.log>=5.0.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
@@ -15,4 +15,4 @@
 PrettyTable>=0.7.1 # BSD
 cryptography>=2.7 # BSD/Apache-2.0
 decorator>=3.4.0 # BSD
-openstacksdk>=0.42.0 # Apache-2.0
+openstacksdk>=0.46.0 # Apache-2.0

=== debian/changelog ===
python-cyborgclient (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:03:06 +0200

python-cyborgclient (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Aug 2025 18:56:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-cyborgclient refs/tags/(\d[brc\d\.]+)

## python-cyborgclient 2.7.0

=== debian/changelog ===
python-cyborgclient (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 15:10:00 +0100
